Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 835609 (CVE-2021-28363) - [Tracker] urllib3 improper HTTPS certificate validation
Summary: [Tracker] urllib3 improper HTTPS certificate validation
Status: CONFIRMED
Alias: CVE-2021-28363
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard:
Keywords:
Depends on: 835443 835625 776421
Blocks:
  Show dependency tree
 
Reported: 2022-03-19 04:10 UTC by John Helmert III
Modified: 2022-03-25 12:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2022-03-19 04:10:04 UTC
Description:
"The urllib3 library 1.26.x before 1.26.4 for Python omits SSL certificate validation in some cases involving HTTPS to HTTPS proxies. The initial connection to the HTTPS proxy (if an SSLContext isn't given via proxy_config) doesn't verify the hostname of the certificate. This means certificates for different servers that still validate properly with the default urllib3 SSLContext will be silently accepted."